
package softparsmap;

import ooc.*;

public abstract class AbstractStringNodeConverter extends LinkedTagInstance 
    implements StringNodeConverter {

    public void beforeParsing(TreeStructureParser tsp, 
			      String treeString, Node tree) {
    }

    public void afterParsing(TreeStructureParser tsp, 
			     String treeString, Node tree) {
    }

    public boolean isLeaf(Node node) {
	return node instanceof GeneLeaf || node instanceof SpeciesLeaf;
    }

}
