
package softparsmap;

import ooc.*;

public class StringGeneNodeConverterLabel 
    extends StringGeneNodeConverterStringTemplate { 

    private EdgeType _edgeType = null;

    public void setupInstance() {
	super.setupInstance();
	_edgeType = (EdgeType)getAttribute("edge_type");
    }

    public Node convertCoreToNode(String string, Object info) {
	if (string==null) {
	    return GeneNode.nextNode(_edgeType);
	}
	return new GeneNode(_edgeType, Integer.parseInt(string));
    }
    
    public Node convertCoreToLeaf(String string, Object info) {
	if (string==null) {
	    return GeneLeaf.nextLeaf(_edgeType);
	}
	return new GeneLeaf(_edgeType, Integer.parseInt(string));
    }
    
    public String convertCoreFromNode(Node node, Object info) {
	return new Integer(node.getLabel()).toString();
    }
    
    public String convertCoreFromLeaf(Node leaf, Object info) {	
	return new Integer(leaf.getLabel()).toString();
    }
    
}
