package softparsmap;

import ooc.*;

public class StringGeneNodeConverterNcbiNamesColumn
    extends StringGeneNodeConverterStringTemplate { 
    
    private DataSourceXmlNcbiTaxonomy _dataSource = null;
    private int _column = -1;

    public void setupInstance() {
    	super.setupInstance();
	_dataSource = (DataSourceXmlNcbiTaxonomy)getAttribute("data_source");
	_column = getAttributeInteger("column");
    }

    public String convertCoreFromNode(Node node, Object info) {
	SpeciesNode sn = ((GeneNode)node).getM();
	return _dataSource.getNcbiNamesColumn(sn, _column).trim();
    }
    
    public String convertCoreFromLeaf(Node leaf, Object info) {
	SpeciesNode sn = ((GeneNode)leaf).getM();
	return _dataSource.getNcbiNamesColumn(sn, _column).trim();
    }
    
}
