
package softparsmap;

import ooc.*;

public class StringGeneNodeConverterSequenceDataXml 
    extends StringGeneNodeConverterStringTemplate { 

    private DataSourceXmlNcbiTaxonomy _dataSource = null;
    private String _tagName = null;
    private String _template = null;
    private String _marker = null;

    public void setupInstance() {
    	super.setupInstance();
	_dataSource = (DataSourceXmlNcbiTaxonomy)getAttribute("data_source");
	_tagName = getAttributeString("tag_name");
	_template = getAttributeString("template");
	_marker = getAttributeString("marker");
    }

    public String convertCoreFromNode(Node node, Object info) {
	return "";
    }
    
    public String convertCoreFromLeaf(Node leaf, Object info) {	
	SequenceDataXml sdx = 
	    (SequenceDataXml)_dataSource.getSequenceData((GeneLeaf)leaf);
	return sdx.extractData(_tagName, _template, _marker);
    }
    
}
