
package softparsmap;

public interface StringNodeConverter {

    public void beforeParsing(TreeStructureParser tsp, 
			      String treeString, Node tree);

    public void afterParsing(TreeStructureParser tsp, 
			     String treeString, Node tree);

    public Node convertToNode(String string, Object info);

    public Node convertToLeaf(String string, Object info);

    public String convertFromNode(Node node, Object info);

    public String convertFromLeaf(Node node, Object info);

    public boolean isLeaf(Node node);

}
