package softparsmap.tests;

import junit.framework.*;
public class AllTests extends TestCase {
    
    public AllTests(String name) {
	super(name);
    }
    
    public static void main (String[] args) {
	junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
	TestSuite suite = new TestSuite("Testing Softparsmap");
	suite.addTest(new TestSuite(TestNodeLeaf.class));
	suite.addTest(new TestSuite(TestNodeSLeafS.class));
	suite.addTest(new TestSuite(TestTreeParser.class));
	suite.addTest(new TestSuite(TestSplits.class));
	suite.addTest(new TestSuite(TestTreeParserDual.class));
	return suite;
    }
    
}
